[![KendoReact NPM Banner](https://raw.githubusercontent.com/telerik/kendo-react/master/images/kendoreact-github-banner.png)](https://www.telerik.com/kendo-react-ui/components/free?utm_medium=referral&utm_source=npm&utm_campaign=kendo-ui-react-trial-npm-pdf&utm_content=banner)

# KendoReact PDF Processing Component for React (React PDF Generator)

> **Important**
>
> -   This package is а part of [KendoReact](https://www.telerik.com/kendo-react-ui?utm_medium=referral&utm_source=npm&utm_campaign=kendo-ui-react-trial-npm-pdf)&mdash;an enterprise-grade UI library with 120+ free and premium components.
> -   It provides a premium KendoReact component. You will need to install a license key when adding the package to your project. For more information, please refer to the [KendoReact My License page](https://www.telerik.com/kendo-react-ui/components/my-license/?utm_medium=referral&utm_source=npm&utm_campaign=kendo-ui-react-trial-npm-pdf).
> -   To receive a license key, you need to either [purchase a license](https://www.telerik.com/kendo-react-ui/pricing?utm_medium=referral&utm_source=npm&utm_campaign=kendo-ui-react-trial-npm-pdf) or register for a [free trial](https://www.telerik.com/try/kendo-react-ui?utm_medium=referral&utm_source=npm&utm_campaign=kendo-ui-react-trial-npm-pdf). Doing so indicates that you [accept the KendoReact License Agreement](https://www.telerik.com/purchase/license-agreement/progress-kendoreact?utm_medium=referral&utm_source=npm&utm_campaign=kendo-ui-react-trial-npm-pdf).
> -   The 30-day free trial gives you access to all KendoReact components and their full functionality. Additionally, for the period of your trial, you can use our legendary technical support provided directly by the KendoReact dev team!
>
> [Start using KendoReact](https://www.telerik.com/try/kendo-react-ui?utm_medium=referral&utm_source=npm&utm_campaign=kendo-ui-react-trial-npm-pdf) and speed up your development process!
>
> If you're looking for free React components, check out [Get Started with KendoReact Free](https://www.telerik.com/kendo-react-ui/components/free).

The [React PDF Generator](https://www.telerik.com/kendo-react-ui/pdfprocessing), part of KendoReact, enables you to export single- and multi-page content in PDF and provides options such as embedding images, exporting hidden content, setting the margins of the document and styling the output.

## React PDF Processing

Among the features which the KendoReact PDF Processing component delivers are:

-   [Image resolution](https://www.telerik.com/kendo-react-ui/components/pdfprocessing/embedded-images/?utm_medium=referral&utm_source=npm&utm_campaign=kendo-ui-react-trial-npm-pdf)&mdash;By default, images get embedded at their original resolution. However, this can be changed in order to limit the resolution for better performance.
-   [Hyperlinks](https://www.telerik.com/kendo-react-ui/components/pdfprocessing/hyperlinks/?utm_medium=referral&utm_source=npm&utm_campaign=kendo-ui-react-trial-npm-pdf)&mdash;You can choose if the hyperlinks should be clickable or not in the exported PDF file.
-   [Scaling of content](https://www.telerik.com/kendo-react-ui/components/pdfprocessing/content-scaling/?utm_medium=referral&utm_source=npm&utm_campaign=kendo-ui-react-trial-npm-pdf)&mdash;The PDF Processing enables you to export a PDF document that is bigger or smaller than its original elements.
-   [Configuration of margins](https://www.telerik.com/kendo-react-ui/components/pdfprocessing/setting-margin/?utm_medium=referral&utm_source=npm&utm_campaign=kendo-ui-react-trial-npm-pdf)&mdash;The PDF Processing package delivers options for setting the margins of the output PDF files.
-   [Repeated table headers](https://www.telerik.com/kendo-react-ui/components/pdfprocessing/table-headers/?utm_medium=referral&utm_source=npm&utm_campaign=kendo-ui-react-trial-npm-pdf)&mdash;The PDF Processing component enables you to render recurrent table headers.
-   [Multi-page content](https://www.telerik.com/kendo-react-ui/components/pdfprocessing/multi-page-content/?utm_medium=referral&utm_source=npm&utm_campaign=kendo-ui-react-trial-npm-pdf)&mdash;The PDF Processing component provides options for generating multi-page content in PDF, preventing the page-split, and rendering page templates.
-   [Hidden content](https://www.telerik.com/kendo-react-ui/components/pdfprocessing/hidden-content/?utm_medium=referral&utm_source=npm&utm_campaign=kendo-ui-react-trial-npm-pdf)&mdash;You can generate content in PDF which is otherwise not visible to the user during the PDF export itself.
-   [Base64 Strings](https://www.telerik.com/kendo-react-ui/components/pdfprocessing/base64string/?utm_medium=referral&utm_source=npm&utm_campaign=kendo-ui-react-trial-npm-pdf)&mdash;You can create base64 string during the PDF export.
-   [Styling of content](https://www.telerik.com/kendo-react-ui/components/pdfprocessing/content-styling/?utm_medium=referral&utm_source=npm&utm_campaign=kendo-ui-react-trial-npm-pdf)&mdash;You can change the appearance of the content with CSS rules that apply only to the PDF file.
-   [Theme support](https://www.telerik.com/kendo-react-ui/components/styling/?utm_medium=referral&utm_source=npm&utm_campaign=kendo-ui-react-trial-npm-pdf)&mdash;The KendoReact PDF Processing, as well as all 100+ components in the KendoReact suite, are styled in three polished themes (Bootstrap, Material, and Default) and can be further customized to match your specific design guidelines.

## Support Options

For any issues you might encounter while working with the KendoReact PDF Processing, use any of the available support channels:

-   Industry-leading technical support&mdash;KendoReact paid license holders and users with an active (free) trial license can take advantage of our outstanding customer support. To submit a ticket, use [the dedicated KendoReact support system](https://www.telerik.com/account/support-center/contact-us/technical-support?utm_medium=referral&utm_source=npm&utm_campaign=kendo-ui-react-trial-npm-pdf).
-   Product forums&mdash;The [KendoReact forums](https://www.telerik.com/forums/kendo-ui-react?utm_medium=referral&utm_source=npm&utm_campaign=kendo-ui-react-trial-npm-pdf) are part of the free support you can get from the community and from the KendoReact team.
-   Feedback portal&mdash;The [KendoReact feedback portal](https://feedback.telerik.com/kendo-react-ui?utm_medium=referral&utm_source=npm&utm_campaign=kendo-ui-react-trial-npm-pdf) is where you can request and vote for new features to be added.

## React PDF Generator Video Tutorial

-   [How to Export to PDF in React with KendoReact Part 1: Methods](https://www.telerik.com/videos/how-to-export-to-pdf-in-react-methods-react-pdf-generator-part-1)
-   [How to Export to PDF in React with KendoReact Part 2: Exporting Scenarios](https://www.telerik.com/videos/how-to-export-to-pdf-in-react-invoices-and-charts-react-pdf-generator-part-2)

## Resources

-   [Getting Started with KendoReact](https://www.telerik.com/kendo-react-ui/components/getting-started/?utm_medium=referral&utm_source=npm&utm_campaign=kendo-ui-react-trial-npm-pdf)
-   [Get Started with KendoReact Free](https://www.telerik.com/kendo-react-ui/components/free)
-   [Get Started with the KendoReact PDF Processing](https://www.telerik.com/kendo-react-ui/components/pdfprocessing/?utm_medium=referral&utm_source=npm&utm_campaign=kendo-ui-react-trial-npm-pdf)
-   [API Reference of the KendoReact PDF Processing](https://www.telerik.com/kendo-react-ui/components/pdfprocessing/api/?utm_medium=referral&utm_source=npm&utm_campaign=kendo-ui-react-trial-npm-pdf)
-   [KendoReact Roadmap](https://www.telerik.com/support/whats-new/kendo-react-ui/roadmap?utm_medium=referral&utm_source=npm&utm_campaign=kendo-ui-react-trial-npm-pdf)
-   [Blogs](https://www.telerik.com/blogs/tag/kendoreact?utm_medium=referral&utm_source=npm&utm_campaign=kendo-ui-react-trial-npm-pdf)
-   [Demos, documentation, and component reference](https://www.telerik.com/kendo-react-ui/components/?utm_medium=referral&utm_source=npm&utm_campaign=kendo-ui-react-trial-npm-pdf)
-   [KendoReact pricing and licensing](https://www.telerik.com/kendo-react-ui/pricing?utm_medium=referral&utm_source=npm&utm_campaign=kendo-ui-react-trial-npm-pdf)
-   [Changelog](https://www.telerik.com/kendo-react-ui/components/changelogs/ui-for-react/?utm_medium=referral&utm_source=npm&utm_campaign=kendo-ui-react-trial-npm-pdf)

High-level component overview pages

-   [React PDF Generator Component](https://www.telerik.com/kendo-react-ui/pdfprocessing)

_Copyright © 2025 Progress Software Corporation and/or its subsidiaries or affiliates. All Rights Reserved._

_Progress, Telerik, and certain product names used herein are trademarks or registered trademarks of Progress Software Corporation and/or one of its subsidiaries or affiliates in the U.S. and/or other countries._
